<?php


namespace App\Http\Bean;


/**
 * @SWG\Definition(
 * )
 */
class SuccessBean
{
    /**
     * @SWG\Property(
     *     description="状态码(true请求成功false请求失败)"
     * )
     * @var bool
     */
    public $status = true;

    /**
     * @SWG\Property(
     *     description="正确相应的数据"
     * )
     * @var object
     */
    public $data;

    /**
     * @SWG\Property(
     *     description="错误信息"
     * )
     * @var string
     */
    public $msg = "";

    /**
     * @SWG\Property(
     *     description="重定向地址"
     * )
     * @var string
     */
    public $url = "";

    /**
     * @SWG\Property(
     *     description="错误码"
     * )
     * @var string
     */
    public $code = "";
}