<?php


namespace App\Http\Bean\Util\Wechat\Miniprograme;


use App\Http\Bean\BaseBean;

class GetOrderSearchParamBean extends BaseBean
{
    /**
     * 第几页
     * @var int $page
     */
    private $page;

    /**
     * 开始时间戳
     * @var string $startTimestamp
     */
    private $startTimestamp;

    /**
     * 结束时间戳
     * @var string $endTimestamp
     */
    private $endTimestamp;

    /**
     * 分佣状态
     */
    private $commissionStatus;

    /**
     * 是否按照分佣状态更新时间排序和筛选订单，1：是，0：否
     */
    private $sortByCommissionUpdateTime;

    /**
     * 分佣状态更新时间起始时间戳，单位为秒
     */
    private $startCommissionUpdateTime;

    /**
     * 分佣状态更新时间结束时间戳，单位为秒
     */
    private $endCommissionUpdateTime;

    /**
     * @return int
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * @param int $page
     */
    public function setPage(int $page): void
    {
        $this->page = $page;
    }

    /**
     * @return string
     */
    public function getStartTimestamp()
    {
        return $this->startTimestamp;
    }

    /**
     * @param string $startTimestamp
     */
    public function setStartTimestamp(string $startTimestamp): void
    {
        $this->startTimestamp = $startTimestamp;
    }

    /**
     * @return string
     */
    public function getEndTimestamp()
    {
        return $this->endTimestamp;
    }

    /**
     * @param string $endTimestamp
     */
    public function setEndTimestamp(string $endTimestamp): void
    {
        $this->endTimestamp = $endTimestamp;
    }

    /**
     * @return mixed
     */
    public function getCommissionStatus()
    {
        return $this->commissionStatus;
    }

    /**
     * @param mixed $commissionStatus
     */
    public function setCommissionStatus($commissionStatus): void
    {
        $this->commissionStatus = $commissionStatus;
    }

    /**
     * @return mixed
     */
    public function getSortByCommissionUpdateTime()
    {
        return $this->sortByCommissionUpdateTime;
    }

    /**
     * @param mixed $sortByCommissionUpdateTime
     */
    public function setSortByCommissionUpdateTime($sortByCommissionUpdateTime): void
    {
        $this->sortByCommissionUpdateTime = $sortByCommissionUpdateTime;
    }

    /**
     * @return mixed
     */
    public function getStartCommissionUpdateTime()
    {
        return $this->startCommissionUpdateTime;
    }

    /**
     * @param mixed $startCommissionUpdateTime
     */
    public function setStartCommissionUpdateTime($startCommissionUpdateTime): void
    {
        $this->startCommissionUpdateTime = $startCommissionUpdateTime;
    }

    /**
     * @return mixed
     */
    public function getEndCommissionUpdateTime()
    {
        return $this->endCommissionUpdateTime;
    }

    /**
     * @param mixed $endCommissionUpdateTime
     */
    public function setEndCommissionUpdateTime($endCommissionUpdateTime): void
    {
        $this->endCommissionUpdateTime = $endCommissionUpdateTime;
    }
}