<?php


namespace App\Http\Enum;

/**
 * 分类类型枚举类
 * Class CategoryTypeEnum
 * @package App\Http\Enum
 */
class CategoryTypeEnum
{
    /**
     * 外卖
     */
    const WAIMAI=0;

    /**
     * 购物
     */
    const GOUWU=1;

    /**
     * 充值
     */
    const CHONGZHI=2;

    /**
     * 到店
     */
    const DAODIAN=3;

    /**
     * 出行
     */
    const CHUXING=4;

    /**
     * 热门推荐
     */
    const REMEN_RECOMMEND=5;

    const MAP=[
        self::WAIMAI=>"外卖",
        self::GOUWU=>"购物",
        self::CHONGZHI=>"充值",
        self::DAODIAN=>"到店",
        self::CHUXING=>"出行",
        self::REMEN_RECOMMEND=>"热门推荐",
    ];
}