<?php


namespace App\Models;


class PlatformSidModel extends BaseModel
{
    protected $table = "platform_sid";

    /**
     * 根据推广位和平台类型获取用户
     * @param $sid 推广位
     * @param $platformType 平台类型
     */
    public static function findUserBySidAndPlatformType($sid, $platformType)
    {
        return self::query()
            ->where("platform_sid",$sid)
            ->where("platform_type",$platformType)
            ->value("user_id");
    }
}