<?php


namespace App\Http\Bean\Controller\Order;


/**
 * @SWG\Definition(
 * )
 */
class GetOrderListResultBean
{
    /**
     * @SWG\Property(
     *     description="总数量"
     * )
     * @var string
     */
    public $total;

    /**
     * @SWG\Property(
     *     description="数据",
     *     @SWG\Items(
     *          @SWG\Property(
     *              property="order_number",
     *              type="string",
     *              description="订单编号"
     *          ),
     *          @SWG\Property(
     *              property="product_name",
     *              type="string",
     *              description="商品名称"
     *          ),
     *          @SWG\Property(
     *              property="produt_unit_price",
     *              type="string",
     *              description="商品单价"
     *          ),
     *          @SWG\Property(
     *              property="product_num",
     *              type="string",
     *              description="商品数量"
     *          ),
     *          @SWG\Property(
     *              property="order_price",
     *              type="string",
     *              description="订单总金额"
     *          ),
     *          @SWG\Property(
     *              property="order_realy_price",
     *              type="string",
     *              description="订单实际支付金额"
     *          ),
     *           @SWG\Property(
     *              property="order_status",
     *              type="string",
     *              description="订单状态(0未支付1已支付2已收获3已结算4全部退款或风控5部分退款6已取消)"
     *          ),
     *           @SWG\Property(
     *              property="order_pay_at",
     *              type="string",
     *              description="订单支付时间"
     *          ),
     *           @SWG\Property(
     *              property="order_commission",
     *              type="string",
     *              description="佣金(分)"
     *          ),
     *           @SWG\Property(
     *              property="order_refund_commission",
     *              type="string",
     *              description="退款佣金"
     *          ),
     *           @SWG\Property(
     *              property="order_refund_at",
     *              type="string",
     *              description="退款时间"
     *          ),
     *           @SWG\Property(
     *              property="order_refund_price",
     *              type="string",
     *              description="退款金额"
     *          ),
     *           @SWG\Property(
     *              property="order_platform_type",
     *              type="string",
     *              description="订单平台类型(1淘宝2拼多多3京东4美团5返不停)"
     *          ),
     *           @SWG\Property(
     *              property="created_at",
     *              type="string",
     *              description="创建时间"
     *          )
     *     )
     * )
     * @var array
     */
    private $list;
}