<?php


namespace App\Http\Bean\Controller\User;


/**
 * @SWG\Definition(
 * )
 */
class GetFansListResultBean
{
    /**
     * @SWG\Property(
     *     description="总数量"
     * )
     * @var string
     */
    public $total;

    /**
     * @SWG\Property(
     *     description="数据",
     *     @SWG\Items(
     *          @SWG\Property(
     *              property="user_head_img_url",
     *              type="string",
     *              description="用户头像"
     *          ),
     *          @SWG\Property(
     *              property="user_nickname",
     *              type="string",
     *              description="用户昵称"
     *          ),
     *          @SWG\Property(
     *              property="created_at",
     *              type="string",
     *              description="注册时间"
     *          )
     *     )
     * )
     * @var array
     */
    private $list;
}