<?php


namespace App\Models;


class WebSiteModel extends BaseModel
{
    protected $table = "web_site";

    /**
     * 根据微信公众号ID获取站点信息
     * @param $wechatAccountId int 微信公众号ID
     */
    public static function findByWechatAccountId($wechatAccountId)
    {
        return self::query()->where("wechat_account_id",$wechatAccountId)->first();
    }
}